## kdebase-runtime 4.3.2

=== CMakeLists.txt ===
project(KDEBASE_RUNTIME)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

#search packages used by KDE
set(KDE_MIN_VERSION "4.3.2")  # for the < 4.2 macro
find_package(KDE4 4.3.2 REQUIRED)
find_package(Strigi REQUIRED)
# I don't see any package requiring it. please explain why this dependency
# is necessary (dirk)
#find_package(KdepimLibs REQUIRED)

include(KDE4Defaults)
include(MacroLibrary)
include(CheckFunctionExists)
include(CheckIncludeFiles)

set(SOPRANO_MIN_VERSION "2.3.0")
macro_optional_find_package(Soprano)
macro_optional_find_package(Nepomuk)
macro_log_feature(Soprano_FOUND "Soprano" "Soprano Libraries" "kdesupport" FALSE "" "Required to build Nepomuk.")
macro_log_feature(Nepomuk_FOUND "Nepomuk" "Nepomuk Libraries" "kdelibs" FALSE "" "Required to build Nepomuk.")
if(SOPRANO_PLUGIN_SESAME2BACKEND_FOUND OR SOPRANO_PLUGIN_REDLANDBACKEND_FOUND OR SOPRANO_PLUGIN_VIRTUOSOBACKEND_FOUND)
  set(SOPRANO_BACKEND_FOUND true)
endif(SOPRANO_PLUGIN_SESAME2BACKEND_FOUND OR SOPRANO_PLUGIN_REDLANDBACKEND_FOUND OR SOPRANO_PLUGIN_VIRTUOSOBACKEND_FOUND)
macro_log_feature(SOPRANO_BACKEND_FOUND "Soprano Storage Backend" "Soprano Libraries" "kdesupport" FALSE "" "No Soprano storage backend found. Nepomuk will not be compiled without it. (It is highly recommended to use the Sesame2 backend for performance.)")
macro_log_feature(SOPRANO_PLUGIN_RAPTORPARSER_FOUND "Soprano raptor parser plugin" "Soprano Libraries" "kdesupport" FALSE "" "Required to run Nepomuk.")

macro_optional_find_package(SLP)
macro_log_feature( SLP_FOUND
  "OpenSLP" "SLP (Service Location Protocol) implementation" "http://www.openslp.org/" FALSE
  "" "Provides SLP support in the network:/ kioslave."
)


check_include_files(sys/wait.h HAVE_SYS_WAIT_H)
check_include_files(sys/time.h HAVE_SYS_TIME_H)

configure_file (config-runtime.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-runtime.h )

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDES})

# Build infrastructure
add_subdirectory(cmake)

# Background processes
add_subdirectory(kpasswdserver)
add_subdirectory(kglobalaccel)
add_subdirectory(knotify)
add_subdirectory(ktimezoned)
add_subdirectory(kuiserver)
add_subdirectory(kwalletd)
if ( UNIX )
   add_subdirectory(soliduiserver)
   add_subdirectory(solidautoeject)
endif ( UNIX )
if(Soprano_FOUND AND Nepomuk_FOUND AND STRIGI_STRIGIQTDBUSCLIENT_LIBRARY AND SOPRANO_BACKEND_FOUND AND SOPRANO_PLUGIN_RAPTORPARSER_FOUND)
  macro_optional_add_subdirectory(nepomuk)
endif(Soprano_FOUND AND Nepomuk_FOUND AND STRIGI_STRIGIQTDBUSCLIENT_LIBRARY AND SOPRANO_BACKEND_FOUND AND SOPRANO_PLUGIN_RAPTORPARSER_FOUND)

# Plugins/components required for basic utility
add_subdirectory(kcontrol)
add_subdirectory(kioslave)
add_subdirectory(kurifilter-plugins)
add_subdirectory(phonon)
macro_optional_add_subdirectory(renamedlgplugins)

# UI Helper applications
if ( NOT WIN32 )
  add_subdirectory(drkonqi)
endif ( NOT WIN32 )
add_subdirectory(kcmshell)
add_subdirectory(kdebugdialog)
add_subdirectory(khelpcenter)
add_subdirectory(knetattach)
add_subdirectory(knewstuff)
macro_optional_add_subdirectory(keditfiletype)
if ( UNIX )
   add_subdirectory(kdesu)
endif ( UNIX )

# Command-line tools (e.g. for shell scripts)
if ( UNIX )
   add_subdirectory(kdeeject)
endif ( UNIX )
add_subdirectory(kfile)
add_subdirectory(kiconfinder)
add_subdirectory(kioclient)
add_subdirectory(kioexec)
add_subdirectory(ktraderclient)
add_subdirectory(kreadconfig)
add_subdirectory(kmimetypefinder)
if (Q_WS_X11)
  add_subdirectory(kstart)
endif (Q_WS_X11)
add_subdirectory(kquitapp)
add_subdirectory(menu)
add_subdirectory(plasma)
add_subdirectory(solid-hardware)

# Platform-specific integration
add_subdirectory(platforms)

# Default settings, content and config
add_subdirectory(l10n)
add_subdirectory(kde-menu)
macro_optional_add_subdirectory(doc)

# Artwork
add_subdirectory(desktoptheme)
add_subdirectory(pics)
add_subdirectory(kstyles)

if(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
  macro_display_feature_log()
endif(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")

########### install files ###############
install(PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/kde4 DESTINATION ${BIN_INSTALL_DIR})

=== knetattach/CMakeLists.txt ===
set(knetattach_SRCS main.cpp knetattach.cpp)


kde4_add_ui_files(knetattach_SRCS knetattach.ui )

kde4_add_app_icon(knetattach_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/hi*-app-knetattach.png")

kde4_add_executable(knetattach ${knetattach_SRCS})

# needs qt3support for Q3Wizard
target_link_libraries(knetattach  ${KDE4_KIO_LIBS} ${QT_QT3SUPPORT_LIBRARY} )

install(TARGETS knetattach DESTINATION ${LIBEXEC_INSTALL_DIR})


########### install files ###############

install( FILES knetattach.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )

kde4_install_icons( ${ICON_INSTALL_DIR}  )

=== knotify/CMakeLists.txt ===
add_subdirectory( sounds  )
########### next target ###############

set(knotify_SRCS
main.cpp
knotify.cpp
knotifyplugin.cpp
knotifyconfig.cpp
notifybysound.cpp
notifybypopup.cpp
notifybylogfile.cpp
notifybytaskbar.cpp
notifybyexecute.cpp
notifybyktts.cpp
)

qt4_add_dbus_interfaces(knotify_SRCS ${KDE4_DBUS_INTERFACES_DIR}/org.kde.KSpeech.xml)

kde4_add_app_icon(knotify_SRCS "${CMAKE_SOURCE_DIR}/pics/oxygen/*/apps/preferences-desktop-notification.png")

set (knotify_OUTPUT_NAME knotify4)
kde4_add_executable( knotify ${knotify_SRCS})

target_link_libraries( knotify ${KDE4_KDEUI_LIBS} ${KDE4_PHONON_LIBS})

set_target_properties(knotify PROPERTIES OUTPUT_NAME knotify4 )
install(TARGETS knotify ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( FILES kde.notifyrc  DESTINATION  ${DATA_INSTALL_DIR}/kde )
install( FILES knotify4.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

########### D-Bus Autostart Services #########


configure_file(org.kde.knotify.service.cmake
	  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.knotify.service)

install( FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.knotify.service DESTINATION ${DBUS_SERVICES_INSTALL_DIR} )

=== kstart/CMakeLists.txt ===

set(kstart_SRCS kstart.cpp)


kde4_add_executable(kstart ${kstart_SRCS})

target_link_libraries(kstart ${KDE4_KDEUI_LIBS} ${X11_X11_LIB})

install(TARGETS kstart ${INSTALL_TARGETS_DEFAULT_ARGS})

=== kstyles/CMakeLists.txt ===

# add_subdirectory( keramik )
add_subdirectory( oxygen )

=== kuiserver/CMakeLists.txt ===
add_subdirectory( tests )

include_directories( ${KDE4_KIO_INCLUDES} )

set(kuiserver_KDEINIT_SRCS
uiserver.cpp
progresslistmodel.cpp
progresslistdelegate.cpp
)

set(kuiserver_KDEINIT_PRIVATE
progresslistdelegate_p.h
uiserver_p.h
)

kde4_add_ui_files(kuiserver_KDEINIT_SRCS uiserverConfigDialog.ui)
qt4_add_dbus_adaptor(kuiserver_KDEINIT_SRCS ${KDE4_DBUS_INTERFACES_DIR}/org.kde.JobView.xml uiserver.h UIServer::JobView jobviewadaptor )
qt4_add_dbus_adaptor(kuiserver_KDEINIT_SRCS ${KDE4_DBUS_INTERFACES_DIR}/org.kde.JobViewServer.xml uiserver.h UIServer jobviewserveradaptor )
kde4_add_kcfg_files(kuiserver_KDEINIT_SRCS kuiserversettings.kcfgc)

kde4_add_kdeinit_executable( kuiserver ${kuiserver_KDEINIT_SRCS})

target_link_libraries(kdeinit_kuiserver  ${KDE4_KIO_LIBS} )
install(TARGETS kdeinit_kuiserver ${INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries( kuiserver kdeinit_kuiserver )
install(TARGETS kuiserver ${INSTALL_TARGETS_DEFAULT_ARGS} )

install( FILES kuiserver.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== kwalletd/CMakeLists.txt ===
project(kwalletd)

add_subdirectory(backend)

########### kwalletd ###############

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/backend)

set(kwalletd_KDEINIT_SRCS
   main.cpp
   kbetterthankdialog.cpp
   kwalletd.cpp
   kwalletopenloop.cpp
   kwalletwizard.cpp
   ktimeout.cpp
   kwalletsessionstore.cpp
)


kde4_add_ui_files(kwalletd_KDEINIT_SRCS
   kbetterthankdialogbase.ui
   kwalletwizardpageexplanation.ui
   kwalletwizardpageintro.ui
   kwalletwizardpageoptions.ui
   kwalletwizardpagepassword.ui
)

MESSAGE( "KDE4_DBUS_INTERFACES_DIR = ${KDE4_DBUS_INTERFACES_DIR}" )

find_file(kwallet_xml org.kde.KWallet.xml HINTS ${KDE4_DBUS_INTERFACES_DIR} )

qt4_add_dbus_adaptor( kwalletd_KDEINIT_SRCS ${kwallet_xml} kwalletd.h KWalletD )

kde4_add_kdeinit_executable( kwalletd NOGUI ${kwalletd_KDEINIT_SRCS} )

# uses kio for KDirWatch
target_link_libraries(kdeinit_kwalletd  ${KDE4_KIO_LIBS} kwalletbackend )
install(TARGETS kdeinit_kwalletd  ${INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries(kwalletd kdeinit_kwalletd)
install(TARGETS kwalletd  ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( FILES kwalletd.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES kwalletd.notifyrc DESTINATION  ${DATA_INSTALL_DIR}/kwalletd )

add_subdirectory(tests)

=== nepomuk/CMakeLists.txt ===
project(nepomuk)

# find dependancies
macro_optional_find_package(CLucene)
macro_log_feature(CLucene_FOUND
  "CLucene"
  "C++ search engine"
  "http://sourceforge.net/projects/clucene"
  FALSE 
  "0.9.19"
  "For building the Nepomuk Strigi backend. Recommended.")

# disable deprecated libnepomuk stuff for less compiler warnings
add_definitions(-DDISABLE_NEPOMUK_LEGACY=1)

include_directories(
  ${SOPRANO_INCLUDE_DIR}
  ${STRIGI_INCLUDE_DIR}
)

# needs to be included before everything else
add_subdirectory(ontologies)

# optional Strigi backend
# needs to be included before "services"
if(CLucene_FOUND AND SopranoIndex_FOUND)
  set(HAVE_STRIGI_SOPRANO_BACKEND "yes")
  macro_optional_add_subdirectory(strigibackend)
endif(CLucene_FOUND AND SopranoIndex_FOUND)

add_subdirectory(libnepomukquery)
add_subdirectory(server)
add_subdirectory(kcm)
add_subdirectory(services)
add_subdirectory(servicestub)
add_subdirectory(kioslaves)
add_subdirectory(interfaces)

#add_subdirectory(test)

=== pics/CMakeLists.txt ===

add_subdirectory( hicolor )
add_subdirectory( emoticons )
#add_subdirectory( oxygen )

set(ksvgtopng_SRCS ksvgtopng.cpp )
kde4_add_executable(ksvgtopng NOGUI ${ksvgtopng_SRCS})
target_link_libraries(ksvgtopng ${KDE4_KDEUI_LIBS})
install(TARGETS ksvgtopng ${INSTALL_TARGETS_DEFAULT_ARGS} )

# create a symlink for the default icon theme,
# so that fallbacks work even for themes that don't inherit from oxygen
if (UNIX)
   # write a cmake script file which creates the symlink
   file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/make_icontheme_symlink.cmake "exec_program(${CMAKE_COMMAND} ARGS -E create_symlink oxygen \"\$ENV{DESTDIR}${ICON_INSTALL_DIR}/default.kde4\")\n")
   # and add it as post-install script to any of the installed targets, so it will be executed during "make install"
   install(SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/make_icontheme_symlink.cmake)
endif (UNIX)

=== doc/kcontrol/CMakeLists.txt ===
add_subdirectory(bookmarks)
add_subdirectory(icons)
add_subdirectory(cookies)
add_subdirectory(crypto)
add_subdirectory(ebrowsing)
add_subdirectory(useragent)
add_subdirectory(khtml)
add_subdirectory(nepomuk)
if ( NOT Q_WS_WIN )
add_subdirectory(smb)
endif ( NOT Q_WS_WIN )
add_subdirectory(emoticons)

if ( Q_WS_X11 )
add_subdirectory(background)
add_subdirectory(cache)
add_subdirectory(desktop)
add_subdirectory(desktopbehavior)
add_subdirectory(email)
add_subdirectory(filemanager)
add_subdirectory(filetypes)
add_subdirectory(helpindex)
add_subdirectory(kcmcss)
add_subdirectory(kcmkonsole)
add_subdirectory(kcmlaunch)
add_subdirectory(kcmnotify)
add_subdirectory(kcmtaskbar)
add_subdirectory(kdm)
add_subdirectory(language)
add_subdirectory(netpref)
add_subdirectory(panel)
add_subdirectory(panelappearance)
add_subdirectory(passwords)
add_subdirectory(paths)
add_subdirectory(performance)
add_subdirectory(proxy)
add_subdirectory(spellchecking)
endif ( Q_WS_X11 )

########### install files ###############
#
#
#
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en)

=== drkonqi/tests/CMakeLists.txt ===
add_subdirectory(crashtest)
add_subdirectory(backtraceparsertest)

=== kdesu/kdesud/CMakeLists.txt ===

set(kdesud_SRCS
   kdesud.cpp
   repo.cpp
   lexer.cpp
   handler.cpp
   secure.cpp )




kde4_add_executable(kdesud NOGUI ${kdesud_SRCS})

target_link_libraries(kdesud ${KDE4_KDESU_LIBS} ${KDE4_KDECORE_LIBS} ${X11_LIBRARIES})

if(KDE4_ENABLE_FPIE)
    macro_add_compile_flags(kdesud ${KDE4_CXX_FPIE_FLAGS})
    macro_add_link_flags(kdesud ${KDE4_PIE_LDFLAGS})
endif(KDE4_ENABLE_FPIE)

MESSAGE(STATUS "Create macro to display info at the end of install")
install(TARGETS kdesud PERMISSIONS SETGID OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ WORLD_EXECUTE WORLD_READ DESTINATION ${LIBEXEC_INSTALL_DIR})


########### install files ###############

## kdebase-runtime 4.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
 
 #search packages used by KDE
-set(KDE_MIN_VERSION "4.3.2")  # for the < 4.2 macro
-find_package(KDE4 4.3.2 REQUIRED)
+set(KDE_MIN_VERSION "4.4.2")
+find_package(KDE4 4.4.2 REQUIRED)
 find_package(Strigi REQUIRED)
 # I don't see any package requiring it. please explain why this dependency
 # is necessary (dirk)
@@ -16,21 +16,22 @@
 include(CheckFunctionExists)
 include(CheckIncludeFiles)
 
-set(SOPRANO_MIN_VERSION "2.3.0")
-macro_optional_find_package(Soprano)
+set(SOPRANO_MIN_VERSION "2.3.70")
 macro_optional_find_package(Nepomuk)
-macro_log_feature(Soprano_FOUND "Soprano" "Soprano Libraries" "kdesupport" FALSE "" "Required to build Nepomuk.")
 macro_log_feature(Nepomuk_FOUND "Nepomuk" "Nepomuk Libraries" "kdelibs" FALSE "" "Required to build Nepomuk.")
-if(SOPRANO_PLUGIN_SESAME2BACKEND_FOUND OR SOPRANO_PLUGIN_REDLANDBACKEND_FOUND OR SOPRANO_PLUGIN_VIRTUOSOBACKEND_FOUND)
-  set(SOPRANO_BACKEND_FOUND true)
-endif(SOPRANO_PLUGIN_SESAME2BACKEND_FOUND OR SOPRANO_PLUGIN_REDLANDBACKEND_FOUND OR SOPRANO_PLUGIN_VIRTUOSOBACKEND_FOUND)
-macro_log_feature(SOPRANO_BACKEND_FOUND "Soprano Storage Backend" "Soprano Libraries" "kdesupport" FALSE "" "No Soprano storage backend found. Nepomuk will not be compiled without it. (It is highly recommended to use the Sesame2 backend for performance.)")
-macro_log_feature(SOPRANO_PLUGIN_RAPTORPARSER_FOUND "Soprano raptor parser plugin" "Soprano Libraries" "kdesupport" FALSE "" "Required to run Nepomuk.")
+macro_log_feature(SOPRANO_PLUGIN_VIRTUOSOBACKEND_FOUND "Soprano Virtuoso Backend" "Virtuoso storage backend for Soprano" "http://soprano.sourceforge.net" FALSE "" "The Soprano Virtuoso backend is required to run the Nepomuk semantic desktop system.")
+macro_log_feature(SOPRANO_PLUGIN_RAPTORPARSER_FOUND "Soprano Raptor Parser" "RDF parser plugin for Soprano" "http://soprano.sourceforge.net" FALSE "" "The Soprano raptor parser plugin is required to build the Nepomuk semantic desktop system.")
+macro_log_feature(SOPRANO_PLUGIN_REDLANDBACKEND_FOUND "Soprano Redland Backend" "Redland storage backend for Soprano" "http://soprano.sourceforge.net" FALSE "" "The Soprano redland backend is required to build the Nepomuk semantic desktop system.")
 
 macro_optional_find_package(SLP)
 macro_log_feature( SLP_FOUND
   "OpenSLP" "SLP (Service Location Protocol) implementation" "http://www.openslp.org/" FALSE
   "" "Provides SLP support in the network:/ kioslave."
+)
+
+set(LIBATTICA_MIN_VERSION "0.1.1")
+find_package(LibAttica)
+macro_log_feature(LIBATTICA_FOUND "libattica" "A library to access Open Collaboration Service providers" "http://websvn.kde.org/trunk/kdesupport/attica/" TRUE "" "Required for Get Hot New Stuff."
 )
 
 
@@ -56,10 +57,11 @@
 if ( UNIX )
    add_subdirectory(soliduiserver)
    add_subdirectory(solidautoeject)
+   add_subdirectory(solid-device-automounter)
 endif ( UNIX )
-if(Soprano_FOUND AND Nepomuk_FOUND AND STRIGI_STRIGIQTDBUSCLIENT_LIBRARY AND SOPRANO_BACKEND_FOUND AND SOPRANO_PLUGIN_RAPTORPARSER_FOUND)
+if(Nepomuk_FOUND AND STRIGI_STRIGIQTDBUSCLIENT_LIBRARY AND SOPRANO_PLUGIN_REDLANDBACKEND_FOUND AND SOPRANO_PLUGIN_VIRTUOSOBACKEND_FOUND AND SOPRANO_PLUGIN_RAPTORPARSER_FOUND)
   macro_optional_add_subdirectory(nepomuk)
-endif(Soprano_FOUND AND Nepomuk_FOUND AND STRIGI_STRIGIQTDBUSCLIENT_LIBRARY AND SOPRANO_BACKEND_FOUND AND SOPRANO_PLUGIN_RAPTORPARSER_FOUND)
+endif(Nepomuk_FOUND AND STRIGI_STRIGIQTDBUSCLIENT_LIBRARY AND SOPRANO_PLUGIN_REDLANDBACKEND_FOUND AND SOPRANO_PLUGIN_VIRTUOSOBACKEND_FOUND AND SOPRANO_PLUGIN_RAPTORPARSER_FOUND)
 
 # Plugins/components required for basic utility
 add_subdirectory(kcontrol)
@@ -106,6 +108,7 @@
 
 # Default settings, content and config
 add_subdirectory(l10n)
+add_subdirectory(localization)
 add_subdirectory(kde-menu)
 macro_optional_add_subdirectory(doc)
 
@@ -114,6 +117,11 @@
 add_subdirectory(pics)
 add_subdirectory(kstyles)
 
+# KDE integration for attica
+if(LIBATTICA_FOUND)
+  macro_optional_add_subdirectory(attica)
+endif(LIBATTICA_FOUND)
+
 if(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
   macro_display_feature_log()
 endif(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")

=== doc/kcontrol/CMakeLists.txt ===
add_subdirectory(attica)
add_subdirectory(bookmarks)
add_subdirectory(icons)
add_subdirectory(cookies)
add_subdirectory(ebrowsing)
add_subdirectory(useragent)
add_subdirectory(khtml-general)
add_subdirectory(khtml-plugins)
add_subdirectory(khtml-java-js)
add_subdirectory(khtml-behavior)
add_subdirectory(khtml-adblock)
add_subdirectory(nepomuk)
if ( NOT Q_WS_WIN )
add_subdirectory(smb)
endif ( NOT Q_WS_WIN )
add_subdirectory(emoticons)

if ( Q_WS_X11 )
add_subdirectory(cache)
add_subdirectory(filemanager)
add_subdirectory(filetypes)
add_subdirectory(helpindex)
add_subdirectory(kcmcgi)
add_subdirectory(kcmcss)
add_subdirectory(kcmlaunch)
add_subdirectory(kcmnotify)
add_subdirectory(language)
add_subdirectory(netpref)
add_subdirectory(paths)
add_subdirectory(performance)
add_subdirectory(proxy)
add_subdirectory(spellchecking)
add_subdirectory(componentchooser)
add_subdirectory(kded)
add_subdirectory(trash)
add_subdirectory(history)
add_subdirectory(solid-device-automounter)
add_subdirectory(phonon)
endif ( Q_WS_X11 )

=== kstyles/oxygen/CMakeLists.txt ===

project(kstyle-oxygen)

add_subdirectory( config )

include_directories (animations transitions)


########### next target ###############

set(oxygen_PART_SRCS
    lib/tileset.cpp
    lib/helper.cpp
    lib/oxygenanimation.cpp
    helper.cpp
    animations/oxygenanimations.cpp
    animations/oxygenanimationdata.cpp
    animations/oxygenbaseengine.cpp
    animations/oxygenenabledata.cpp
    animations/oxygengenericdata.cpp
    animations/oxygenhoverdata.cpp
    animations/oxygenmenubardata.cpp
    animations/oxygenmenubarengine.cpp
    animations/oxygenmenudata.cpp
    animations/oxygenmenuengine.cpp
    animations/oxygenprogressbardata.cpp
    animations/oxygenprogressbarengine.cpp
    animations/oxygenscrollbardata.cpp
    animations/oxygenscrollbarengine.cpp
    animations/oxygensliderdata.cpp
    animations/oxygensliderengine.cpp
    animations/oxygentabbardata.cpp
    animations/oxygentabbarengine.cpp
    animations/oxygenwidgetstatedata.cpp
    animations/oxygenwidgetstateengine.cpp
    transitions/oxygencomboboxdata.cpp
    transitions/oxygencomboboxengine.cpp
    transitions/oxygenlabeldata.cpp
    transitions/oxygenlabelengine.cpp
    transitions/oxygenlineeditdata.cpp
    transitions/oxygenlineeditengine.cpp
    transitions/oxygenstackedwidgetdata.cpp
    transitions/oxygenstackedwidgetengine.cpp
    transitions/oxygentransitiondata.cpp
    transitions/oxygentransitions.cpp
    transitions/oxygentransitionwidget.cpp
    oxygen.cpp
)

kde4_add_kcfg_files(oxygen_PART_SRCS oxygenstyleconfigdata.kcfgc)

kde4_add_plugin(oxygen ${oxygen_PART_SRCS})

target_link_libraries(oxygen  ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS})

install(TARGETS oxygen  DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/styles/ )


########### install files ###############

install( FILES oxygen.themerc  DESTINATION  ${DATA_INSTALL_DIR}/kstyle/themes )

=== phonon/kcm/CMakeLists.txt ===
add_subdirectory(xine)

set(kcmphonon_SRCS main.cpp devicepreference.cpp backendselection.cpp)
kde4_add_ui_files(kcmphonon_SRCS devicepreference.ui backendselection.ui)

kde4_add_plugin(kcm_phonon ${kcmphonon_SRCS})
target_link_libraries(kcm_phonon ${KDE4_PHONON_LIBS} ${KDE4_KUTILS_LIBS}
   ${KDE4_KIO_LIBS})

install(TARGETS kcm_phonon  DESTINATION ${PLUGIN_INSTALL_DIR} )

########### install files ###############
install( FILES kcm_phonon.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install(FILES listview-background.png DESTINATION ${DATA_INSTALL_DIR}/kcm_phonon)
install(FILES devicepreference.upd DESTINATION ${DATA_INSTALL_DIR}/kconf_update)

########### update helper ###############
kde4_add_executable(phonon_devicepreference_update devicepreference_update.cpp)
target_link_libraries(phonon_devicepreference_update ${KDE4_KDECORE_LIBS})
install(TARGETS phonon_devicepreference_update DESTINATION ${LIB_INSTALL_DIR}/kconf_update_bin)

kde4_add_executable(phonon_deviceuids_update deviceuids_update.cpp)
target_link_libraries(phonon_deviceuids_update ${KDE4_KDECORE_LIBS})
install(TARGETS phonon_deviceuids_update DESTINATION ${LIB_INSTALL_DIR}/kconf_update_bin)

=== nepomuk/services/filewatch/CMakeLists.txt ===
project(nepomukfilewatch)

include(SopranoAddOntology)

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=300101)

include_directories(
  ${QT_INCLUDES}
  ${KDE4_INCLUDES}
  ${SOPRANO_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${NEPOMUK_INCLUDE_DIR}
  )

set(SRCS
  nepomukfilewatch.cpp
  metadatamover.cpp
  updaterequest.cpp
  )

soprano_add_ontology(SRCS
  ${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/nie.trig
  "NIE"
  "Nepomuk::Vocabulary"
  "trig")

kde4_add_plugin(nepomukfilewatch ${SRCS})

target_link_libraries(nepomukfilewatch
  ${SOPRANO_CLIENT_LIBRARIES}
  ${SOPRANO_LIBRARIES}
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${NEPOMUK_LIBRARIES}
  ${NEPOMUK_QUERY_LIBRARIES}
  )

install(
  FILES nepomukfilewatch.desktop
  DESTINATION ${SERVICES_INSTALL_DIR})
install(
  TARGETS nepomukfilewatch
  DESTINATION ${PLUGIN_INSTALL_DIR})

=== plasma/scriptengines/javascript/CMakeLists.txt ===
# APPLET

set(simple_javascript_engine_SRCS
    simplejavascriptapplet.cpp
    simplebindings/animationgroup.cpp
    simplebindings/appletinterface.cpp
    simplebindings/anchorlayout.cpp
    simplebindings/bytearrayclass.cpp
    simplebindings/bytearrayprototype.cpp
    simplebindings/color.cpp
    simplebindings/easingcurve.cpp
    simplebindings/font.cpp
    simplebindings/filedialogproxy.cpp
    simplebindings/graphicsitem.cpp
    simplebindings/icon.cpp
    simplebindings/linearlayout.cpp
    simplebindings/gridlayout.cpp
    simplebindings/painter.cpp
    simplebindings/pen.cpp
    simplebindings/pixmap.cpp
    simplebindings/point.cpp
    simplebindings/rect.cpp
    simplebindings/qscriptbookkeeping.cpp
    simplebindings/size.cpp
    simplebindings/sizepolicy.cpp
    simplebindings/timer.cpp
    simplebindings/uiloader.cpp
    simplebindings/url.cpp
    simplebindings/variant.cpp
)

include_directories(${PHONON_INCLUDES})


kde4_add_plugin(plasma_appletscript_simple_javascript ${simple_javascript_engine_SRCS})

target_link_libraries(plasma_appletscript_simple_javascript
                       ${KDE4_KDECORE_LIBS}
                       ${KDE4_KIO_LIBS}
                       ${KDE4_PLASMA_LIBS}
                       ${QT_QTSCRIPT_LIBRARY}
                       ${QT_QTUITOOLS_LIBRARY}
                       ${QT_QTXML_LIBRARY}
                       )

install(TARGETS plasma_appletscript_simple_javascript DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-scriptengine-applet-simple-javascript.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

# RUNNER

set(javascript_runner_engine_SRCS
    javascriptrunner.cpp
)

kde4_add_plugin(plasma_runnerscript_javascript ${javascript_runner_engine_SRCS})

target_link_libraries(plasma_runnerscript_javascript
                       ${KDE4_KDECORE_LIBS}
                       ${KDE4_PLASMA_LIBS}
                       ${QT_QTSCRIPT_LIBRARY}
                       ${QT_QTUITOOLS_LIBRARY}
                       ${QT_QTXML_LIBRARY}
                       )

install(TARGETS plasma_runnerscript_javascript DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-scriptengine-runner-javascript.desktop DESTINATION ${SERVICES_INSTALL_DIR})


# DATAENGINE

set(javascript_dataengine_engine_SRCS
    javascriptdataengine.cpp
    simplebindings/variant.cpp
)
kde4_add_plugin(plasma_dataenginescript_javascript ${javascript_dataengine_engine_SRCS})

target_link_libraries(plasma_dataenginescript_javascript
                       ${KDE4_KDECORE_LIBS}
                       ${KDE4_PLASMA_LIBS}
                       ${QT_QTSCRIPT_LIBRARY})

install(TARGETS plasma_dataenginescript_javascript DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-scriptengine-dataengine-javascript.desktop DESTINATION ${SERVICES_INSTALL_DIR})

## kdebase-runtime 4.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
 
 #search packages used by KDE
-set(KDE_MIN_VERSION "4.4.2")
-find_package(KDE4 4.4.2 REQUIRED)
+set(KDE_MIN_VERSION "4.4.5")
+find_package(KDE4 4.4.5 REQUIRED)
 find_package(Strigi REQUIRED)
 # I don't see any package requiring it. please explain why this dependency
 # is necessary (dirk)

=== khelpcenter/plugins/CMakeLists.txt ===

add_subdirectory( Applications ) 
if (NOT WIN32)
add_subdirectory( Manpages ) 
add_subdirectory( Scrollkeeper ) 
endif (NOT WIN32)
add_subdirectory( Tutorials ) 



########### install files ###############

install( FILES plasma.desktop contact.desktop faq.desktop info.desktop    links.desktop support.desktop userguide.desktop welcome.desktop    kicmodules.desktop kcontrolmodules.desktop    kioslaves.desktop  DESTINATION  ${DATA_INSTALL_DIR}/khelpcenter/plugins )

=== kstyles/keramik/CMakeLists.txt ===

project(kstyle-keramik)

find_package(QImageBlitz REQUIRED)

add_definitions(-DQT_PLUGIN)

include_directories( ${QIMAGEBLITZ_INCLUDES} )

########### next target ###############

set(genembed_SRCS genembed.cpp )


kde4_add_executable(genembed NOGUI ${genembed_SRCS})

target_link_libraries(genembed  ${KDE4_KDECORE_LIBS} ${QIMAGEBLITZ_LIBRARIES} ${QT_QTGUI_LIBRARIES} )

#pixmaps.keramik keramikrc.h: genembed
#	pics=`ls $(srcdir)/pics/*.png 2>/dev/null` ;\
#	./genembed $$pics > pixmaps.keramik

file(GLOB keramikPics "${CMAKE_CURRENT_SOURCE_DIR}/pics/*.png")
file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/keramikPics.txt "" )
foreach(pics ${keramikPics})
   file(APPEND  ${CMAKE_CURRENT_BINARY_DIR}/keramikPics.txt "${pics}\n" )
endforeach(pics ${keramikPics})

# get the name of the generated wrapper script (which sets up LD_LIBRARY_PATH)
get_target_property(GENEMBED_EXECUTABLE genembed WRAPPER_SCRIPT)

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/keramikrc.h ${CMAKE_CURRENT_BINARY_DIR}/pixmaps.keramik
  COMMAND ${GENEMBED_EXECUTABLE} --file ${CMAKE_CURRENT_BINARY_DIR}/keramikPics.txt > ${CMAKE_CURRENT_BINARY_DIR}/pixmaps.keramik
  DEPENDS genembed ${keramikPics}
)

########### next target ###############

set(keramik_PART_SRCS
   keramik.cpp
   pixmaploader.cpp
   gradients.cpp
   colorutil.cpp
   ${CMAKE_CURRENT_BINARY_DIR}/keramikrc.h  # adding the generated header here will force the correct generation of the dependencies to genembed
)

# this actually shouldn't be required, maybe current cmake cvs handles it correctly, Alex
#set_source_files_properties(keramik.cpp PROPERTIES OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/keramikrc.h)

if (WIN32)
   set_source_files_properties(keramik.cpp PROPERTIES OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/keramikrc.h)
endif (WIN32)


kde4_add_plugin(keramik ${keramik_PART_SRCS})

target_link_libraries(keramik  ${KDE4_KDEUI_LIBS} ${QIMAGEBLITZ_LIBRARIES} )

install(TARGETS keramik  DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/styles/ )


########### install files ###############

=== khelpcenter/plugins/Manpages/CMakeLists.txt ===

install( FILES .directory man1.desktop man2.desktop man3.desktop man4.desktop    man5.desktop man6.desktop man7.desktop man8.desktop man9.desktop mann.desktop   DESTINATION  ${DATA_INSTALL_DIR}/khelpcenter/plugins/Manpages )

=== plasma/tools/plasmapkg/CMakeLists.txt ===
set(plasmapkg_SRCS
    main.cpp
)

kde4_add_executable(plasmapkg ${plasmapkg_SRCS})

target_link_libraries(plasmapkg ${KDE4_KDEUI_LIBS} ${KDE4_PLASMA_LIBS})

install(TARGETS plasmapkg ${INSTALL_TARGETS_DEFAULT_ARGS})

=== nepomuk/kioslaves/search/kdedmodule/CMakeLists.txt ===
include_directories(
  ${QT_INCLUDES}
  ${KDE4_INCLUDES}
  ${NEPOMUK_INCLUDE_DIR}
  ${nepomuk_kio_slaves_SOURCE_DIR}/common
)

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=300200)
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DDISABLE_NEPOMUK_LEGACY)

set(nepomuksearchmodule_SRCS
  nepomuksearchmodule.cpp
  searchurllistener.cpp
)

soprano_add_ontology(nepomuksearchmodule_SRCS
  ${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/nie.trig
  "NIE"
  "Nepomuk::Vocabulary"
  "trig")

set_source_files_properties(
  ${nepomuk_kio_slaves_SOURCE_DIR}/../interfaces/org.kde.nepomuk.Query.xml
  PROPERTIES INCLUDE "nepomuk/result.h")
set_source_files_properties(
  ${nepomuk_kio_slaves_SOURCE_DIR}/../interfaces/org.kde.nepomuk.QueryService.xml
  PROPERTIES INCLUDE "dbusoperators_p.h")

qt4_add_dbus_interface(nepomuksearchmodule_SRCS
  ${nepomuk_kio_slaves_SOURCE_DIR}/../interfaces/org.kde.nepomuk.QueryService.xml
  queryserviceinterface)
qt4_add_dbus_interface(nepomuksearchmodule_SRCS
  ${nepomuk_kio_slaves_SOURCE_DIR}/../interfaces/org.kde.nepomuk.Query.xml
  queryinterface)

kde4_add_plugin(kded_nepomuksearchmodule ${nepomuksearchmodule_SRCS})

target_link_libraries(kded_nepomuksearchmodule 
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KIO_LIBS}
  ${NEPOMUK_LIBRARIES}
  ${NEPOMUK_QUERY_LIBRARIES}
  ${SOPRANO_LIBRARIES}
)

install(TARGETS kded_nepomuksearchmodule DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES nepomuksearchmodule.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded)

=== debian/changelog ===
kdebase-runtime (4:4.4.5-1) unstable; urgency=low

  * New upstream release.

  [ Sune Vuorela ]
  * KNetattach is in kde4 libexec dir, so the desktop file should not be
    available outside kde, else it can't be found. (Closes: #582844)
  * Finally move to my debian.org address.
  * Remove the 04_attica_0.1.4_compat.diff. applied upstreams.
  * Update some descriptions

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

 -- Modestas Vainius <modax@debian.org>  Sun, 04 Jul 2010 19:00:50 +0300

kdebase-runtime (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Replace usr/share/doc/kde4 references with usr/share/doc/kde.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.
  * Add 04_attica_0.1.4_compat.diff patch which fixes FTBFS with attica >=
    0.1.4 (Closes: #583019). Bump build dependency on libattica-dev to 0.1.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Jun 2010 01:15:13 +0300

kdebase-runtime (4:4.4.3-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Improve grammar in the description of the plasma-scriptentine-javascript
    package (Closes: #576711).
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:51 +0300

kdebase-runtime (4:4.4.2-1) experimental; urgency=low

  * New upstream release:
    - DrKonqi no longer reports kscreenlocker crashes to the wrong component at
      bugs.kde.org. (Closes: #575718) 
    - Soprano no longer crashes on nested analysis results. (Closes: #571721)

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL.
  * libkdeinit4_*.so have been moved to private directory (Closes: #553117). 
  * Make kdebase-runtime depend on kdelibs5-plugins.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Make kdebase-runtime depend on plasma-scriptengine-javascript (addresses
    aseigo complaints in his blog).
  * Bump oxygen-icon-theme dependency to 4:4.4.
  * Make /usr/share/services/khelpcenter.desktop symlink relative.
  * Exclude attica_kde.so from kdebase-runtime shlibs.
  * Move knetattach.desktop to kdebase-runtime "near" its executable.
    (Closes: #517769)
  * Add lintian-overrides for kdebase-runtime and khelpcenter4.
  * Add ${perl:Depends} and ${misc:Depends} as needed.
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Bump pkg-kde-tools build dependency to 0.6.4.
  * Make kdebase-runtime recommend virtuoso-minimal.

  [ Pino Toscano ]
  * Drop pmount recommend, no more used now. (Closes: #557424)
  * kdebase-runtime does not use kdepimlibs, so kdebase-runtime-dbg does not
    need to depend on kdepimlibs-dbg, but just kdelibs5-dbg. (Closes: #466167)
  * "javascript" -> "JavaScript" in plasma-scriptengine-javascript
    descriptions. (Closes: #567166)
  * Drop kfreebsd-gnu and hurd alternatives for hal recommend, as hal is
    available on these architectures now.
  * Add icoutils suggest to kdebase-runtime, as it contains a thumbnailer for
    icons in Windows executables which uses wrestool and icotool.

  [ George Kiagiadakis ]
  * Drop backported patch 00_1034807_4.4_backport_rtldglobal.diff.
  * Refresh patch 25_khelp_htdig.diff.
  * Add patch 03_disable_usr_lib_install_rpath.diff to disable
    setting RPATH to /usr/lib for the phonon platform plugin.
  * Bump kdelibs5-dev build dependency to >= 4:4.4.
  * Bump libsoprano-dev build dependency to >= 2.3.70.
  * Bump libphonon-dev build dependency to >= 4:4.6.0really4.3.80.
  * Add build-dependencies to libattica-dev, libssh-dev, libexiv2-dev.
  * Drop libknotificationitem-1-dev build-dependency.
  * Update installed files.
  * Add build and runtime dependency to shared-desktop-ontologies.

  [ Jonathan Thomas ]
  * Split the KCM for the Phonon Xine backend into a separate package from the
    kdebase-runtime binary package to prevent all of KDE from depending on Xine.
    (Closes: #559748)

  [ Ryan Kavanagh ]
  * Update and apply Martin Olsen's patch to add a manpage for
    /usr/bin/kioclient (Closes: #493054).

  [ Ferdinand Thommes ]
  * updated copyright

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 05 Apr 2010 16:21:50 +0300

kdebase-runtime (4:4.3.4-2) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * Make kdebase-runtime conflict with kdebase-kio-plugins due to ktrash
    (Closes: #560291).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 10 Dec 2009 12:35:30 +0200

kdebase-runtime (4:4.3.4-1) unstable; urgency=low

  * New upstream release

  +++ Changes by Xavier Vello:

  * Added khelpcenter.desktop to /usr/share/services to enable khelpcenter4
    support in kde3 apps

  +++ Changes by Lukasz Janyst:

  * Bump build depends.

  +++ Changes by Pino Toscano:

  * Add liblzma-dev build-depend to add XZ support.

  +++ Changes by Sune Vuorela:

  * Remove the ktrash debian renaming. Not needed since we got rid of kde3
    kdebase in unstable.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove myself from Uploaders.

  +++ Changes by Modestas Vainius:

  * Update install files.
  * Backport a patch from KDE 4.4 to make it possible to use kstyles
    with RTLD_GLOBAL. Unbreaks openoffice.org (Closes: #550905) (patch
    00_1034807_4.4_backport_rtldglobal.diff, kdebase-runtime part).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 09 Dec 2009 00:24:05 +0200



=== debian/control ===
Source: kdebase-runtime
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
 Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>
Build-Depends: kde-sc-dev-latest (>= 4:4.4.5),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7), pkg-kde-tools (>= 0.9),
 kdelibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.6.0really4.3.80), kdelibs5-plugins,
 libclucene-dev, libsmbclient-dev, libsoprano-dev (>= 2.3.70),
 libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
 libxcb1-dev, libopenexr-dev, libbz2-dev, libx11-dev, libxcursor-dev,
 libasound2-dev (>= 1.0.14a) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libjpeg62-dev, libqt4-opengl-dev, libpulse-dev, libxine-dev, libslp-dev,
 liblzma-dev, libattica-dev (>= 0.1.4), libssh-dev (>= 0.4.0), libexiv2-dev,
 shared-desktop-ontologies
Standards-Version: 3.8.4
Homepage: http://www.kde.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdebase-runtime/#_trunk_packages_kdebase-runtime_
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdebase-runtime

Package: kdebase-runtime
Section: kde
Architecture: any
Replaces: kdebase-bin (<< 4:4.2.90), kdelibs5 (<< 4:4.1.80), kdelibs-bin (<< 4:4.1.80),
 kdebase-workspace-bin (<< 4:4.2.90), kdebase-bin-kde3, kdebase-runtime-bin-kde4, kcontrol,
 kdebase-runtime-data (<< 4:4.4.0)
Conflicts: kdebluetooth (<< 1.0~beta7-1), phonon-backend-xine (<< 4:4.2.80), kdebase-runtime-bin-kde4,
 kdebase-bin-kde3, kcontrol, kdebase-kio-plugins
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 kdebase-runtime-data (>= ${source:Version}), ${sameVersionDep:kdelibs5-plugins:kdebase-runtime},
 oxygen-icon-theme (>= 4:4.4), phonon-backend-xine | phonon-backend,
 shared-desktop-ontologies, plasma-scriptengine-javascript (= ${binary:Version})
Recommends: hal, virtuoso-minimal
Suggests: djvulibre-bin, icoutils
Description: runtime components from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package contains programs and data needed at runtime by KDE applications
 applications.

Package: kdebase-runtime-data
Section: kde
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Replaces: kdebase-data (<< 4:4.2.90), kdebase-bin (<< 4:4.0.0), drkonqi, kdelibs5-data (<< 4:4.1.80),
 kdebase-workspace-data (<< 4:4.1.85+svn897913), akonadi-kde (<< 4:4.2.90), kde-icons-oxygen (<= 4:4.2.4-1),
 kdebase-data (<< 4:4.0.0), kdebase-runtime-data-common
Conflicts: drkonqi, phonon-backend-xine (<< 4:4.2.80), kdebase-runtime-data-common,
 kdebase-bin (<< 4:4.0.0), kdebase-data (<< 4:4.0.0)
Description: shared data files for the KDE base runtime module
 This package contains the architecture-independent shared data files needed to
 run KDE applications.
 .
 This package is part of the KDE base runtime module.

Package: khelpcenter4
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: htdig
Replaces: kdebase-runtime-data (<< 4:4.0.80-2), kdebase-runtime (<< 4:4.0.80-2)
Conflicts: khelpcenter
Description: help center
 The KDE Help Center displays documentation on how to use the KDE plasma workspaces
 and  applications, as well as UNIX man and info pages.
 It can search through documentation using the 'htdig' package.
 .
 This package is part of the KDE base runtime module.

Package: kde-config-phonon-xine
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdebase-runtime-data (<< 4:4.4.0), kdebase-runtime (<< 4:4.4.0)
Description: advanced Phonon Xine configuration
 This package contains a configuration module for tweaking some of the more
 advanced settings for Phonon's Xine backend.
 .
 This package is part of the KDE base runtime module.

Package: plasma-scriptengine-javascript
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdebase-workspace-bin (<< 4:4.1.82+svn893000), kdebase-workspace-data (<< 4:4.1.82)
Description: the JavaScript script engine for Plasma
 This package provides the JavaScript script engine for Plasma. You have to
 install it if you want to use Plasma widgets and data engines written in
 JavaScript.
 .
 This package is part of the KDE base runtime module.

Package: kdebase-runtime-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdebase-runtime (= ${binary:Version}), kdelibs5-dbg
Replaces: kdelibs5-dbg (<< 4:4.1.80), kdebase-dbg (<< 4:4.2.90), kdebase-workspace-dbg (<< 4:4.2.90)
Description: debugging symbols for KDE base runtime module
 This package contains the debugging symbols associated with kdebase-runtime.
 They will automatically be used by gdb for debugging kdebase-runtime related
 issues.

=== debian/rules ===
#!/usr/bin/make -f

# don't use the debugging symbols from kdebase-runtime-kde4. othwerwise we have a conflict with kdebase-dbg from KDE 3
DEB_DBG_PACKAGE_kdebase-runtime := kdebase-runtime-dbg

# exclude dependency on phonon metapackage. KDE4 does its own phonon setup
DEB_DH_SHLIBDEPS_ARGS_ALL := -u-xphonon
DEB_DH_SHLIBDEPS_ARGS_plasma-scriptengine-javascript := -u-xkdebase-runtime

DEB_FIXPERMS_EXCLUDE := usr/lib/kde4/libexec/kdesud

DEB_DH_MAKESHLIBS_ARGS_kdebase-runtime = -Xusr/lib/attica_kde.so

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk
